import styled, { keyframes } from "styled-components";

export const Wrapper = styled("div")`
    position: fixed;
    top: 0;
    left: 0;
    width: calc(100% - 2em);
    align-items: center;
    display: flex;
    justify-content: space-between;
    height: 5em;
    margin-left: 1em;
`;

export const TopBarBox = styled("a")`
    margin-left: "2px";
    display: flex;
    align-items: center;
`;

export const NavItem = styled("button")`
    font-size: 20px;
    margin: 2px;
    background-color: ${(props) => props.theme.palette.cerulean};
    font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 24;
    &:hover {
        border-color: ${(props) => props.theme.palette.jet};
    }
`;

export const GithubLogo = styled("img")(() => ({
    width: "50px",
    height: "50px",
    padding: "5px",
}));

const comeFromLeft = keyframes`
    from{
        left: 100%;
    }
    to {
        left: calc(100% - 10em);
    }
`;

export const SideBarBox = styled("div")`
    position: absolute;
    top: 0;
    animation: ${comeFromLeft} 0.2s linear;
    left: calc(100% - 10em);
    overflow: overlay;
    background-color: ${(props) => props.theme.palette.aero};
    text-align: center;
    border-radius: 25px;
    border: 2px solid #ffffff;
    padding-bottom: 5px;
    padding-top: 5px;
`;
